# $Revision: 1.7 $, $Date: 2008/07/27 22:45:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Persistence
%define		pnam	Object-Persistence
Summary:	Persistence::Object::Simple - object persistence with Data::Dumper
Summary(pl.UTF-8):	Persistence::Object::Simple - trwałe obiekty z użyciem Data::Dumper
Name:		perl-Persistence-Object-Simple
Version:	0.92
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	72638cb6931360ce65fb653e9b6ef6b0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Persistence::Object::Simple provides persistence functionality to its
objects. Object definitions are stored as stringified Perl data
structures, generated with Data::Dumper, that are amenable to manual
editing and external processing from outside the class interface.

%description -l pl.UTF-8
Persistence::Object::Simple daje funkcjonalność przechowywania dla
swoich obiektów. Definicje obiektów są przechowywane jako
przekształcone na łańcuchy struktury danych Perla, wygenerowane przy
pomocy modułu Data::Dumper, będące odpowiedzialnymi za ręczną edycję
i zewnętrzne przetwarzanie na zewnątrz interfejsu klas.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Persistence
%{perl_vendorlib}/Persistence/Database.pm
%{perl_vendorlib}/Persistence/Object
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Persistence-Object-Simple.spec,v $
Revision 1.7  2008/07/27 22:45:49  arekm
- release 2

Revision 1.6  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:40  paladine
- formatting

Revision 1.3  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.2  2004/04/15 08:54:07  ankry
- summary cosmetics

Revision 1.1  2004/01/08 14:24:49  qboosh
- new

